Bug 1434744 - Review Request: uom-lib - Java Units of Measurement Libraries (JSR 363)
Review Request: uom-lib - Java Units of Measurement Libraries (JSR 363)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukas Berk
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-JAVASIG 1429804 1434749
  Show dependency treegraph
 
Reported: 2017-03-22 05:52 EDT by Nathan Scott
Modified: 2017-09-01 04:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-01 04:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lberk: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nathan Scott 2017-03-22 05:52:48 EDT
Spec URL: https://bintray.com/pcp/f25/download_file?file_path=uom-lib.spec
SRPM URL: https://bintray.com/pcp/f25/download_file?file_path=uom-lib-1.0.1-4.fc25.src.rpm
Description:
Units of Measurement Libraries - extending and complementing JSR 363.
Fedora Account System Username: brolley, lberk, nathans
Comment 1 Lukas Berk 2017-08-01 21:20:28 EDT
Updated SRPM URL: https://bintray.com/pcp/f26/download_file?file_path=uom-lib-1.0.1-5.fc26.src.rpm
Updated Spec file: uom-lib.spec

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in /home/lberk/src/fedora-
     scm/review/review-uom-lib/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[X]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in uom-lib-
     javadoc
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[X]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: uom-lib-1.0.1-5.fc27.noarch.rpm
          uom-lib-javadoc-1.0.1-5.fc27.noarch.rpm
          uom-lib-1.0.1-5.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
uom-lib (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(javax.measure:unit-api)

uom-lib-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

Provides
--------
uom-lib:
    mvn(tec.uom.lib:uom-lib-common)
    mvn(tec.uom.lib:uom-lib-common:pom:)
    mvn(tec.uom.lib:uom-lib:pom:)
    osgi(tec.uom.lib.uom-lib-common)
    uom-lib

uom-lib-javadoc:
    uom-lib-javadoc



Source checksums
----------------
https://github.com/unitsofmeasurement/uom-lib/archive/1.0.1/uom-lib-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : aaafd10232c21122d1c48fb273619085fbdccdae65dce8b711eb66053f3059bd
  CHECKSUM(SHA256) upstream package : aaafd10232c21122d1c48fb273619085fbdccdae65dce8b711eb66053f3059bd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -v -n uom-lib
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 gil cattaneo 2017-08-02 09:15:37 EDT
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in /home/lberk/src/fedora-
     scm/review/review-uom-lib/licensecheck.txt

All source file without license headers. Please ask to upstream to confirm the licensing of code and/or content/s and to add license headers.

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
Comment 3 Lukas Berk 2017-08-02 10:25:50 EDT
(In reply to gil cattaneo from comment #2)
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "BSD (3 clause)", "Unknown or generated". 5 files have unknown
>      license. Detailed output of licensecheck in /home/lberk/src/fedora-
>      scm/review/review-uom-lib/licensecheck.txt
> 
> All source file without license headers. Please ask to upstream to confirm
> the licensing of code and/or content/s and to add license headers.
> 
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Clarification

Hi,

There is a clear license (BSD-3) in the package.  Multiple files that are listed as "Unknown" by the fedora review tool have been inspected manually (as is required), and include the proper license (for example, the pom.xml lists the proper license despite be 'unknown' as well as the README.md).  This is all already upstream and in the provided SRPM.

Could you please provide clarification why you removed the fedora-review+ flag and what further information you need.  AFAICT this conforms to fedora packaging guidelines, including the license clarification link you provided
Comment 4 Nathan Scott 2017-08-02 19:20:10 EDT
From scanning through the sources, all the java files have the copyright notices as expected.  The 5 listed as missing in the review are...

| Unknown or generated
| --------------------
| uom-lib-1.0.1/README.md
| uom-lib-1.0.1/circle.yml
| uom-lib-1.0.1/common/pom.xml
| uom-lib-1.0.1/pom.xml
| uom-lib-1.0.1/settings.xml

These are fine and would not usually have explicit license clauses.

Thanks Gil, thanks Lukas.

BTW Gil - are you interested in co-maintaining this and the other unitsofmeasurement Fedora packages (like we do for unit-api now)?
Please say yes :) - I'll setup the new package that way if OK with you.

cheers.
Comment 5 Lukas Berk 2017-08-03 09:20:03 EDT
Pending any other objections, I'm resetting the fedora-review+ flag.
Comment 6 Gwyn Ciesla 2017-08-03 17:24:41 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/uom-lib

Note You need to log in before you can comment on or make changes to this bug.